Skip to main content
GET
/
properties
/
{id}
Fetch a property
curl --request GET \
  --url https://sitevisit.app/api/v1/properties/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "isSample": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "visitCount": 123,
  "openItemCount": 123,
  "address": "<string>",
  "notes": "<string>",
  "iconEmoji": "<string>",
  "coverImageUrl": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

The requested resource.

id
string
required
name
string
required
isSample
boolean
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
visitCount
integer
required
openItemCount
integer
required
address
string | null
notes
string | null
iconEmoji
string | null
coverImageUrl
string | null